st9app/urls.py
from django.urls import path, include
from .views import index, login_func, logout_func

app_name="st9app"

urlpatterns = [
    path('', index, name="st9"),
    path('login/', login_func, name="login"),
    path('logout/', logout_func, name="logout")
]

st9project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('st9app.urls'))
]

st9app/models.py
from django.db import models

# Create your models here.

st9app/views.py
from django.shortcuts import render
from django.shortcuts import render, redirect
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm
from django.contrib.auth import login, logout
from django.contrib.auth.decorators import login_required


def index(request):
    return render(request, "index.html")

def login_func(request):
    if request.method == "POST":
        form = AuthenticationForm(data=request.POST)
        if form.is_valid():
            user = form.get_user()
            login(request, user)
            return redirect('/')
    else:
        form = AuthenticationForm()
    return render(request, 'login.html', {'form': form})

def logout_func(request):
    logout(request)
    return redirect('/')

st9app/templates/index.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Nur's Story 9</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'style.css' %}">

</head>
<body>

    {% if user.is_authenticated %}

    <div class="center">
        <h1 id="judul">Hello, {{ user }}</h1>  
    </div>

    <div class="center">
            <a href="{% url 'st9app:logout' %}">
                    <button class="btn btn-light" id="logout">Logout</button>
                </a>
    </div>

    {% else %}

    <div class="center">
            <h1>
                Please login!
            </h1>
    </div>

    <div class="center">
            <a href="{% url 'st9app:login' %}">
                    <button class="btn btn-light" id="login">Login</button>
            </a>
    </div>

    {% endif %}

</body>
</html>

st9app/templates/login.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Nur's Story 9</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'style.css' %}">
</head>
<body>
    <form class="auth-form" action="{% url 'st9app:login' %}" method="POST">
        {% csrf_token %}
        <h1 id="judul">Hi, There!</h1>
        <label for="id_username">Username:</label>
        <input class="btn btn-light" type="text" name="username" autofocus="" required="" id="id_username">
        <label for="id_password">Password:</label>
        <input class="btn btn-light" type="password" name="password" required="" id="id_password">
        {% if request.GET.next %}
            <input class="btn btn-light" type="hidden" name="next" value="{{ request.GET.next }}">
        {% endif %}
        <input class="btn btn-light" type="submit" id="login" value="Login">
    </form>
</body>
</html>